@import url("https://fonts.googleapis.com/css2?family=Rubik:ital,wght@0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap");
* {
  margin: 0;
  padding: 0;
  -webkit-box-sizing: border-box;
          box-sizing: border-box;
  font-family: "Rubik", sans-serif;
}

.change-dark-light {
  position: relative;
  background-color: #f8f0ff;
  min-height: 100vh;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-pack: center;
      -ms-flex-pack: center;
          justify-content: center;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  -webkit-transition: background-color 500ms;
  -o-transition: background-color 500ms;
  transition: background-color 500ms;
}
.change-dark-light__toggle {
  position: absolute;
  top: 20px;
  right: 20px;
  width: 30px;
  height: 30px;
  background-color: #e9f5ff;
  border-radius: 50%;
  cursor: pointer;
}
.change-dark-light__toggle::before {
  content: "";
  background-image: url(./moon.svg);
  width: 100%;
  height: 100%;
  display: inline-block;
  background-size: 75%;
  background-repeat: no-repeat;
  background-position: 60% 39%;
}
.change-dark-light__card {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
      -ms-flex-direction: column;
          flex-direction: column;
  -webkit-box-pack: center;
      -ms-flex-pack: center;
          justify-content: center;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  width: 300px;
  height: 380px;
  background-color: #fff;
  -webkit-box-shadow: 0 15px 25px rgba(0, 0, 0, 0.025);
          box-shadow: 0 15px 25px rgba(0, 0, 0, 0.025);
  border-radius: 16px;
  -webkit-transition: background-color 500ms;
  -o-transition: background-color 500ms;
  transition: background-color 500ms;
  position: relative;
  overflow: hidden;
}
.change-dark-light__caption {
  margin-top: 16px;
}
.change-dark-light__img {
  position: relative;
  width: 120px;
  height: 120px;
  overflow: hidden;
  border-radius: 50%;
  -o-object-fit: cover;
     object-fit: cover;
}
.change-dark-light__title {
  font-weight: 500;
  font-size: 1.4em;
  line-height: 1.2em;
  text-align: center;
  color: #2fa1ff;
}
.change-dark-light__subtitle {
  font-weight: 400;
  color: #777;
  font-size: 0.75em;
}

.--dark .change-dark-light__toggle {
  background-color: #404852;
}

.--dark .change-dark-light__toggle::before {
  background-image: url(sun.svg);
  background-position: center;
  background-size: 70%;
}

.--dark .change-dark-light__card {
  background-color: #323840;
}

.--dark .change-dark-light__subtitle {
  color: #ccc;
}

.--dark.change-dark-light {
  background-color: #24292d;
}